﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class TimeScript : MonoBehaviour {

	public int time = 600;
	public int maxtime = 600;
	public int frames = 50;
	public Text timer;

	// Use this for initialization
	void Start () {
		timer = this.GetComponent<Text> ();
		timer.text = "Time: ";
		timer.text += time.ToString (); 
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		if (frames > 0) {
			frames--;
			return;
		}
		frames = 50;
		time--;
		timer.text = "Time: ";
		timer.text += time.ToString ();
		if(time < 0){
			Player pla = GameObject.Find("Scrooge").GetComponent<Player>();
			pla.Respawn();
			time = maxtime;
		}
	}
}
