﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class CameraMove : MonoBehaviour {

	public GameObject player;
	public Vector3 cam;
	public int level = 1;
	public Vector3 R0, L0, R1, L1, R2, L2, R3, L3, R4, L4, R5, L5;
	public List<Vector3> limits;

	// Use this for initialization
	void Start () {
		player = GameObject.Find ("Scrooge");
		limits = new List<Vector3> ();
		limits.Add(L0);
		limits.Add (R0);
		limits.Add (L1);
		limits.Add (R1);
		limits.Add (L2);
		limits.Add (R2);
		limits.Add (L3);
		limits.Add (R3);
		limits.Add(L4);
		limits.Add(R4);
		limits.Add(L5);
		limits.Add(R5);
	}
	
	// Update is called once per frame
	void Update () {
		cam = player.transform.position;
		cam.z = -10f;
		cam.y = limits [level * 2].y;
		if(cam.x > limits[(level*2)+1].x){
			cam.x = limits[(level*2)+1].x;
		}
		else if(cam.x < limits[level*2].x){
			cam.x = limits[level*2].x;
		}
		this.transform.position = cam;
	}
}
