﻿using UnityEngine;
using System.Collections;

public class PlatformMove : MonoBehaviour {
	public Vector3 left = Vector3.zero;
	public Vector3 right = Vector3.zero;
	public float speed = 30f;
	public bool turn = true;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		PH_Obj pho = this.GetComponent<PH_Obj> ();
		pho.vel.x = speed;
		if((this.transform.position.x <= left.x   || this.transform.position.x >= right.x) && turn){
			speed *= -1;
			turn = false;
		}
		if (this.transform.position.x > left.x && this.transform.position.x < right.x) {
			turn = true;
		}
	}

	void OnTriggerEnter(Collider coll){
		if(coll.gameObject.tag == "PlayerCont"){
			Player them = coll.GetComponent<Player>();
			them.platformSpd = speed;
		}
	}

	void OnTriggerStay(Collider coll){
		OnTriggerEnter (coll);
	}

	void OnTriggerExit(Collider coll){
		if(coll.gameObject.tag == "PlayerCont"){
			Player them = coll.GetComponent<Player>();
			them.platformSpd = 0;
		}
	}
}
